Attribute VB_Name = "CommonCode"
Option Explicit

Public intNumRecords As Integer     'Total Number of Whiteboards
Public intbookmark As Integer       'Current whiteboard number
Public strFilename As String        'Tutorial rich text file

Public Sub Initialize()
'Load the tutorial file into rtfBuffer as rich text and split
'the tutorial text out onto multiple whiteboards.
   strFilename = "RTB_Tutor.rtf"  'Must be in current directory.
   Call ReadFileToBuffer(strFilename)
   Call FillWhiteBoards
End Sub

Public Sub ReadFileToBuffer(strFilename As String)
'Reads tutorial rich text file into rtfBuffer (single RTB).
   frmEdit.rtfBuffer.LoadFile strFilename, rtfRTF
End Sub

Public Sub FillWhiteBoards()
'This procedure breaks up the rich text in rtfBuffer into
'Whiteboard(i) array elements for ease of presentation.
   Dim i As Integer
   Dim lngStart, lngStop As Long
   
   lngStart = 0                     'Start search at beginning of buffer
   
'For loop searches buffer for string that appears at the end of each whiteboard chunk.
'The Find method returns pointer to first letter of string, or -1 if not found.
'To select RTB text, method needs START of text and LENGTH of text.
'lngStart is START of one whiteboard's text, lngStop is end of one whiteboard's text.
'LENGTH of selected whiteboard text is lngStop - lngStart.
   
   For i = 1 To 50                  'Form has 50 invisible RTBs.
      frmEdit.rtfBuffer.SelStart = lngStart
      lngStop = frmEdit.rtfBuffer.Find("Click Next to Continue", lngStart, , _
      rtfWholeWord + rtfNoHighlight) + Len("Click Next to Continue")
      
   'lngStop = -1 if not found, so negative means no more whiteboards.
         If lngStop - lngStart < 0 Then
         intNumRecords = i - 1         'Store total # of whiteboards found.
         Exit Sub
      End If
      
      frmEdit.rtfBuffer.SelLength = lngStop - lngStart     'Length of one whiteboard
      frmMain.WhiteBoard(i) = frmEdit.rtfBuffer.SelRTF
      lngStart = lngStop + 1     'Move pointer to find next whiteboard start.
   
   Next i

End Sub
